> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Data Google Reviews Results by id

> The returned results are specific to the indicated local establishment name, search engine, [location](https://docs.



## OpenAPI

````yaml openapi/dataforseo.json GET /dataforseo/business_data/google/reviews/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/reviews/task_get/{id}:
    get:
      summary: Get Business Data Google Reviews Results by id
      description: >-
        The returned results are specific to the indicated local establishment
        name, search engine,
        [location](https://docs.dataforseo.com/v3/business_data-google-locations.md)
        and
        [language](https://docs.dataforseo.com/v3/business_data-google-languages.md)
        parameters. We emulate set location and search engine with the highest
        accuracy so that the results you receive will match the actual search
        results for the specified parameters at the time of task setting. You
        can always check the returned results accessing the `check_url` in the
        Incognito mode to make sure the received data is entirely relevant. Note
        that user preferences, search history, and other personalized search
        factors are ignored by our system and thus would not be reflected in the
        returned results.
      operationId: get_dataforseo_business_data_google_reviews_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO task ID.
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *task identifier* **unique task identifier in our system in the
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            format** you will be able to use it within **30 days** to request
            the results of the task at any time
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*the current version of the API*'
                  version.status_code:
                    type: integer
                    description: >-
                      *general status code* you can find the full list of the
                      response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                      **Note:** we strongly recommend designing a necessary
                      system for handling related exceptional or error
                      conditions
                  version.status_message:
                    type: string
                    description: >-
                      *general informational message* you can find the full list
                      of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  version.time:
                    type: string
                    description: '*execution time, seconds*'
                  version.cost:
                    type: number
                    description: '*total *tasks* cost, USD*'
                  version.tasks_count:
                    type: integer
                    description: '*the number of tasks in the **`tasks`** array*'
                  version.tasks_error:
                    type: integer
                    description: >-
                      *the number of tasks in the **`tasks`** array that were
                      returned an error*
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*array of tasks*'
                  tasks.id:
                    type: string
                    description: >-
                      *task identifier* **unique task identifier in our system
                      in the
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      format**
                  tasks.status_code:
                    type: integer
                    description: >-
                      *status code of the task* generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.status_message:
                    type: string
                    description: >-
                      *informational message of the task* you can find the full
                      list of general informational messages
                      [here](https://docs.dataforseo.com/v3/appendix/errors.md)
                  tasks.time:
                    type: string
                    description: '*execution time, seconds*'
                  tasks.cost:
                    type: number
                    description: '*cost of the task, USD*'
                  tasks.result_count:
                    type: integer
                    description: '*number of elements in the `result` array*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL path*'
                  tasks.data:
                    type: object
                    description: >-
                      *contains the same parameters that you specified in the
                      POST request*
                  result:
                    type: array
                    items:
                      type: string
                    description: '*array of results*'
                  result.keyword:
                    type: string
                    description: >-
                      *keyword received in a POST array* **keyword is returned
                      with decoded %## (plus character ‘+’ will be decoded to a
                      space character)**
                  result.type:
                    type: string
                    description: '*search engine type in a POST array*'
                  result.se_domain:
                    type: string
                    description: '*search engine domain in a POST array*'
                  result.location_code:
                    type: integer
                    description: '*location code in a POST array*'
                  result.language_code:
                    type: string
                    description: '*language code in a POST array*'
                  result.check_url:
                    type: string
                    description: >-
                      *direct URL to search engine results* you can use it to
                      make sure that we provided accurate results
                  result.datetime:
                    type: string
                    description: >-
                      *date and time when the result was received* in the UTC
                      format: “yyyy-mm-dd hh-mm-ss +00:00” example: `2019-11-15
                      12:57:46 +00:00`
                  result.title:
                    type: string
                    description: >-
                      *title of the ‘reviews’ element in SERP* the name of the
                      local establishment for which the reviews are collected
                  result.sub_title:
                    type: string
                    description: >-
                      *subtitle of the ‘reviews’ element in SERP* additional
                      information (e.g., address) on the ‘reviews’ element for
                      which the reviews are collected
                  result.rating:
                    type: object
                    description: >-
                      *rating of the corresponding local establishment*
                      popularity rate based on reviews and displayed in SERP
                  result.rating_type:
                    type: string
                    description: >-
                      *type of rating* here you can find the following elements:
                      `Max5`, `Percents`, `CustomMax`
                  result.value:
                    type: number
                    description: '*the average rating based on all reviews*'
                  result.votes_count:
                    type: integer
                    description: '*the number of votes*'
                  result.rating_max:
                    type: integer
                    description: '*the maximum value for a `rating_type`*'
                  result.feature_id:
                    type: string
                    description: >-
                      *the unique identifier of the ‘reviews’ element in SERP*
                      learn more about the identifier in [this help center
                      article](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.place_id:
                    type: string
                    description: >-
                      *unique identifier of a business location assigned by
                      Google* learn more about the identifier in [this help
                      center
                      article](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.cid:
                    type: string
                    description: >-
                      *google-defined client id* unique id of a local
                      establishment learn more about the identifier in [this
                      help center
                      article](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                  result.reviews_count:
                    type: integer
                    description: '*the total number of reviews*'
                  result.items_count:
                    type: integer
                    description: >-
                      *the number of reviews items in the results array* you can
                      get more results by using the `depth` parameter when
                      setting a task
                  items:
                    type: array
                    items:
                      type: string
                    description: >-
                      *found reviews* you can get more results by using the
                      `depth` parameter when setting a task
                  items.type:
                    type: string
                    description: '*type of element = **‘images\_element’***'
                  items.rank_group:
                    type: integer
                    description: >-
                      *position within a group of elements with identical `type`
                      values* positions of elements with different `type` values
                      are omitted from `rank_group`
                  items.rank_absolute:
                    type: integer
                    description: >-
                      *absolute rank among all the listed reviews* absolute
                      position among all reviews on the list
                  items.position:
                    type: string
                    description: >-
                      *the alignment of the review in SERP* can take the
                      following values: `right`
                  items.xpath:
                    type: string
                    description: >-
                      *the [XPath](https://en.wikipedia.org/wiki/XPath) of the
                      review*
                  items.review_text:
                    type: string
                    description: '*the content of the review*'
                  items.original_review_text:
                    type: string
                    description: >-
                      *original content of the review* the original content of
                      the review, no auto-translate applied
                  items.time_ago:
                    type: string
                    description: >-
                      *the time of publication* indicates the time (in the ‘time
                      ago’ format) when the review was listed
                  items.timestamp:
                    type: string
                    description: >-
                      *date and time when a review was published* in the UTC
                      format: “yyyy-mm-dd hh-mm-ss +00:00” example: `2019-11-15
                      12:57:46 +00:00`
                  items.rating:
                    type: object
                    description: '*the rating score submitted by the reviewer*'
                  items.rating_type:
                    type: string
                    description: >-
                      *the type of the rating* can take the following values:
                      `Max5`
                  items.value:
                    type: number
                    description: '*the value of the rating*'
                  items.votes_count:
                    type: integer
                    description: >-
                      *the amount of feedback* indicated the number of votes the
                      review obtained
                  items.rating_max:
                    type: integer
                    description: >-
                      *the maximum value for a `rating_type`* the maximum value
                      for `Max5` is 5
                  items.reviews_count:
                    type: integer
                    description: '*total number of reviews submitted by the reviewer*'
                  items.photos_count:
                    type: integer
                    description: '*total number of photos submitted by the reviewer*'
                  items.local_guide:
                    type: boolean
                    description: >-
                      *indicates whether the reviewer has a ‘local guide’
                      status*
                  items.profile_name:
                    type: string
                    description: '*profile name of the reviewer*'
                  items.profile_url:
                    type: string
                    description: '*URL of the reviewer’s profile*'
                  items.review_url:
                    type: string
                    description: '*the URL of the review*'
                  items.profile_image_url:
                    type: string
                    description: '*URL of the reviewer’s profile image*'
                  items.owner_answer:
                    type: string
                    description: >-
                      *text of the owner’s response* the owner’s response to the
                      review
                  items.original_owner_answer:
                    type: string
                    description: >-
                      *original text of the owner’s response* the original
                      response to the review, no auto-translate applied
                  items.owner_time_ago:
                    type: string
                    description: >-
                      *publication time* indicates the time (in the ‘time ago’
                      format) when the owner submitted the response to the
                      review
                  items.owner_timestamp:
                    type: string
                    description: >-
                      *date and time of the owner’s reply to the review* in the
                      UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example:
                      `2019-11-15 12:57:46 +00:00`
                  items.review_id:
                    type: string
                    description: >-
                      *the unique identifier of a review on Google* example:
                      `ChZDSUhNMG9nS0VJQ0FnSUMxbHFyMFlnEAE`
                  items.images:
                    type: array
                    items:
                      type: string
                    description: '*images submitted by the reviewer*'
                  items.alt:
                    type: string
                    description: '*alt tag of the image*'
                  items.url:
                    type: string
                    description: '*relevant image URL from Google*'
                  items.image_url:
                    type: string
                    description: '*URL of the image featured in the review*'
                  items.review_highlights:
                    type: array
                    items:
                      type: string
                    description: >-
                      *review highlights* contains highlighted review criteria
                      and assessments
                  items.feature:
                    type: string
                    description: '*reviewed feature*'
                  items.assessment:
                    type: string
                    description: '*feature assessment*'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````